import javax.servlet.http;
import uk.co.taylorconsulting.annoweb.web.exception;
import uk.co.taylorconsulting.annoweb.web.cache;
import uk.co.taylorconsulting.annoweb.web.interfaces;
import uk.co.taylorconsulting.annoweb.web.enums;
import org.apache.log4j;
import java.lang;
import uk.co.taylorconsulting.annoweb.annotation.action;
import uk.co.taylorconsulting.annoweb.annotation.cache;
import uk.co.taylorconsulting.annoweb.annotation.form;
import uk.co.taylorconsulting.annoweb.annotation.form.validation;
import uk.co.taylorconsulting.annoweb.annotation.injection;
import uk.co.taylorconsulting.annoweb.annotation.security;
import uk.co.taylorconsulting.annoweb.annotation.web;
import uk.co.taylorconsulting.annoweb.builder.exception;
import uk.co.taylorconsulting.annoweb.builder.structure;
import uk.co.taylorconsulting.annoweb.builder.structure.form;
import uk.co.taylorconsulting.annoweb.builder.structure.helper;
import uk.co.taylorconsulting.annoweb.builder.structure.security;
import uk.co.taylorconsulting.annoweb.builder.structure.view;
import uk.co.taylorconsulting.annoweb.builder.structure.view.method;
import uk.co.taylorconsulting.annoweb.builder.structure.view.parameter;
import uk.co.taylorconsulting.annoweb.builder.util;
import uk.co.taylorconsulting.annoweb.options;
import uk.co.taylorconsulting.annoweb.web.cache;
import uk.co.taylorconsulting.annoweb.web.controller;
import uk.co.taylorconsulting.annoweb.web.enums;
import uk.co.taylorconsulting.annoweb.web.exception;
import uk.co.taylorconsulting.annoweb.web.interfaces;

public uk.co.taylorconsulting.annoweb.site.siteName.root.base.View extends uk.co.taylorconsulting.annoweb.web.controller.WebHelper implements uk.co.taylorconsulting.annoweb.web.interfaces.ViewProcessor{
private static final Logger LOG = Logger.getLogger(uk.co.taylorconsulting.annoweb.site.siteName.root.base.View.class

public View(){}
public processDispActionDisp(HttpServletRequest request, HttpServletResponse response)
{LOG.debug("AS:processing processDispActionDisp");try {uk.co.taylorconsulting.annoweb.builder.structure.samples.StructureTestBasic action=(uk.co.taylorconsulting.annoweb.builder.structure.samples.StructureTestBasic)Cache.getClassCache("uk.co.taylorconsulting.annoweb.builder.structure.samples.StructureTestBasic");action.actionDisp();LOG.warn("No default forwards have been defined");} catch (Exception e) {LOG.warn("An error has occured in the action processDispActionDisp Exception: " + e.getClass().getCanonicalName() +"(" + e.getMessage() +")");}}

public dispatchDispatch(HttpServletRequest request, HttpServletResponse response)
{String val = $1.getParameter("dispatch");LOG.debug("Dispatching for dispatch value=\"" + val + "\"");if(val.equals("actionWithParams")) {processDispatchActionWithParams($1,$2);} else if(val.equals("actionExceptionForward")) {processDispatchActionExceptionForward($1,$2);} else if(val.equals("actionSecure")) {processDispatchActionSecure($1,$2);} else if(val.equals("actionRequired")) {processDispatchActionRequired($1,$2);} else if(val.equals("actionWithObject")) {processDispatchActionWithObject($1,$2);} else if(val.equals("actionDefault")) {processDispatchActionDefault($1,$2);} else if(val.equals("login")) {processDispatchLogin($1,$2);} else if(val.equals("actionWithTestObject")) {processDispatchActionWithTestObject($1,$2);} else if(val.equals("actionCache")) {processDispatchActionCache($1,$2);} else if(val.equals("actionParam")) {processDispatchActionParam($1,$2);} else if(val.equals("actionValidate")) {processDispatchActionValidate($1,$2);} else if(val.equals("notAuthed")) {processDispatchNotAuthed($1,$2);} else if(val.equals("actionValue")) {processDispatchActionValue($1,$2);} else if(val.equals("actionInjection")) {processDispatchActionInjection($1,$2);} else {processDispatchActionDefault($1,$2);}}

public processDispatchActionWithParams(HttpServletRequest request, HttpServletResponse response)
{LOG.debug("AS:processing processDispatchActionWithParams");try {Boolean var0 = null;try{var0 = Boolean.valueOf(Boolean.parseBoolean($1.getParameter("b")));} catch (Exception e){}if (var0==null) {try{var0 = (Boolean)$1.getAttribute("b");} catch (Exception e){}}Integer var1 = null;try{var1 = Integer.valueOf(Integer.parseInt($1.getParameter("i")));} catch (Exception e){}if (var1==null) {try{var1 = (Integer)$1.getAttribute("i");} catch (Exception e){}}Float var2 = null;try{var2 = Float.valueOf(Float.parseFloat($1.getParameter("f")));} catch (Exception e){}if (var2==null) {try{var2 = (Float)$1.getAttribute("f");} catch (Exception e){}}if (var2==null) {try{var2 = (Float)$1.getSession().getAttribute("f");} catch (Exception e){}}Double var3 = null;if (var3==null) {try{var3 = (Double)Cache.get("d");} catch (Exception e){}}Byte var4 = null;try{var4 = Byte.valueOf(Byte.parseByte($1.getParameter("by")));} catch (Exception e){}if (var4==null) {try{var4 = (Byte)$1.getAttribute("by");} catch (Exception e){}}if (var4==null) {try{var4 = (Byte)$1.getSession().getAttribute("by");} catch (Exception e){}}Character var5 = null;try{var5 = Character.valueOf(((String)$1.getParameter("c")).charAt(0));} catch (Exception e){}if (var5==null) {try{var5 = (Character)$1.getAttribute("c");} catch (Exception e){}}if (var5==null) {try{var5 = (Character)$1.getSession().getAttribute("ccid");} catch (Exception e){}}boolean[] var6 = null;int[] var7 = null;float[] var8 = null;double[] var9 = null;byte[] var10 = null;char[] var11 = null;java.lang.Object var12 = null;java.lang.String[] var13 = null;Long var14 = null;if (var14==null) {try{var14 = Long.valueOf(Long.parseLong("5"));} catch (Exception e){}}long[] var15 = null;FormTestBasic var16 = null;if (var16==null) {uk.co.taylorconsulting.annoweb.site.siteName.form.uk.co.taylorconsulting.annoweb.builder.structure.samples.FormTestBasic.Form formVar16 = (uk.co.taylorconsulting.annoweb.site.siteName.form.uk.co.taylorconsulting.annoweb.builder.structure.samples.FormTestBasic.Form)Cache.getClassCache("uk.co.taylorconsulting.annoweb.site.siteName.form.uk.co.taylorconsulting.annoweb.builder.structure.samples.FormTestBasic.Form");formVar16.processForm($1,$2,var16);}uk.co.taylorconsulting.annoweb.builder.structure.samples.StructureTestBasic action=(uk.co.taylorconsulting.annoweb.builder.structure.samples.StructureTestBasic)Cache.getClassCache("uk.co.taylorconsulting.annoweb.builder.structure.samples.StructureTestBasic");action.actionOnlyWithParams(var0.booleanValue(),var1.intValue(),var2.floatValue(),var3.doubleValue(),var4.byteValue(),var5.charValue(),var6,var7,var8,var9,var10,var11,var12,var13,var14.longValue(),var15,var16);LOG.warn("No default forwards have been defined");} catch (Exception e) {LOG.warn("An error has occured in the action processDispatchActionWithParams Exception: " + e.getClass().getCanonicalName() +"(" + e.getMessage() +")");}}

public processDispatchActionWithObject(HttpServletRequest request, HttpServletResponse response)
{LOG.debug("AS:processing processDispatchActionWithObject");try {java.lang.Object var0 = null;try{var0 = $1.getParameter("a");} catch (Exception e){}if (var0==null) {try{var0 = (java.lang.Object)$1.getAttribute("a");} catch (Exception e){}}uk.co.taylorconsulting.annoweb.builder.structure.samples.StructureTestBasic action=(uk.co.taylorconsulting.annoweb.builder.structure.samples.StructureTestBasic)Cache.getClassCache("uk.co.taylorconsulting.annoweb.builder.structure.samples.StructureTestBasic");action.actionWithObject(var0);LOG.warn("No default forwards have been defined");} catch (Exception e) {LOG.warn("An error has occured in the action processDispatchActionWithObject Exception: " + e.getClass().getCanonicalName() +"(" + e.getMessage() +")");}}

public processDispatchActionCache(HttpServletRequest request, HttpServletResponse response)
{LOG.debug("AS:processing processDispatchActionCache");try {Integer var0 = null;if (var0==null) {try{var0 = (Integer)Cache.get("param");} catch (Exception e){}}uk.co.taylorconsulting.annoweb.builder.structure.samples.StructureTestBasic action=(uk.co.taylorconsulting.annoweb.builder.structure.samples.StructureTestBasic)Cache.getClassCache("uk.co.taylorconsulting.annoweb.builder.structure.samples.StructureTestBasic");action.actionCache(var0.intValue());LOG.warn("No default forwards have been defined");} catch (Exception e) {LOG.warn("An error has occured in the action processDispatchActionCache Exception: " + e.getClass().getCanonicalName() +"(" + e.getMessage() +")");}}

public processDispatchNotAuthed(HttpServletRequest request, HttpServletResponse response)
{LOG.debug("AS:processing processDispatchNotAuthed");try {uk.co.taylorconsulting.annoweb.builder.structure.samples.StructureTestBasic action=(uk.co.taylorconsulting.annoweb.builder.structure.samples.StructureTestBasic)Cache.getClassCache("uk.co.taylorconsulting.annoweb.builder.structure.samples.StructureTestBasic");action.notAuthorised();LOG.warn("No default forwards have been defined");} catch (Exception e) {LOG.warn("An error has occured in the action processDispatchNotAuthed Exception: " + e.getClass().getCanonicalName() +"(" + e.getMessage() +")");}}

public processDispatchActionValidate(HttpServletRequest request, HttpServletResponse response)
{LOG.debug("AS:processing processDispatchActionValidate");try {Integer var0 = null;try{var0 = Integer.valueOf(Integer.parseInt($1.getParameter("param1")));} catch (Exception e){}if (var0==null) {try{var0 = (Integer)$1.getAttribute("param1");} catch (Exception e){}}if (var0==null) {try {uk.co.taylorconsulting.annoweb.builder.structure.samples.StructureTestBasic validateVar0=(uk.co.taylorconsulting.annoweb.builder.structure.samples.StructureTestBasic)Cache.getClassCache("uk.co.taylorconsulting.annoweb.builder.structure.samples.StructureTestBasic");validateVar0.validator();} catch (Exception e) {throw new ValidationException(e);}}uk.co.taylorconsulting.annoweb.builder.structure.samples.StructureTestBasic action=(uk.co.taylorconsulting.annoweb.builder.structure.samples.StructureTestBasic)Cache.getClassCache("uk.co.taylorconsulting.annoweb.builder.structure.samples.StructureTestBasic");action.actionValidate(var0.intValue());LOG.warn("No default forwards have been defined");} catch (ValidationException ve) {LOG.warn("A validation error has occured in the action processDispatchActionValidate (" + ve.getMessage() +")");$1.getRequestDispatcher("/forward").forward($1, $2);} catch (Exception e) {LOG.warn("An error has occured in the action processDispatchActionValidate Exception: " + e.getClass().getCanonicalName() +"(" + e.getMessage() +")");}}

public process(HttpServletRequest request, HttpServletResponse response)
{if($1.getParameter("dispatch") != null) {LOG.debug("dispatch=dispatch value=" + $1.getParameter("dispatch"));dispatchDispatch($1,$2);} else if($1.getParameter("disp") != null) {LOG.debug("dispatch=disp value=" + $1.getParameter("disp"));dispatchDisp($1,$2);} else {LOG.debug("processDispatchActionDefault");processDispatchActionDefault($1,$2);}}

public dispatchDisp(HttpServletRequest request, HttpServletResponse response)
{String val = $1.getParameter("disp");LOG.debug("Dispatching for disp value=\"" + val + "\"");if(val.equals("actionDisp")) {processDispActionDisp($1,$2);} else {processDispatchActionDefault($1,$2);}}

public processDispatchActionInjection(HttpServletRequest request, HttpServletResponse response)
{LOG.debug("AS:processing processDispatchActionInjection");try {Injectable var0 = null;uk.co.taylorconsulting.annoweb.builder.structure.samples.StructureTestBasic action=(uk.co.taylorconsulting.annoweb.builder.structure.samples.StructureTestBasic)Cache.getClassCache("uk.co.taylorconsulting.annoweb.builder.structure.samples.StructureTestBasic");action.actionInjection(var0);LOG.warn("No default forwards have been defined");} catch (Exception e) {LOG.warn("An error has occured in the action processDispatchActionInjection Exception: " + e.getClass().getCanonicalName() +"(" + e.getMessage() +")");}}

public processDispatchActionExceptionForward(HttpServletRequest request, HttpServletResponse response)
{LOG.debug("AS:processing processDispatchActionExceptionForward");try {uk.co.taylorconsulting.annoweb.builder.structure.samples.StructureTestBasic action=(uk.co.taylorconsulting.annoweb.builder.structure.samples.StructureTestBasic)Cache.getClassCache("uk.co.taylorconsulting.annoweb.builder.structure.samples.StructureTestBasic");action.actionExceptionForward();LOG.warn("No default forwards have been defined");} catch (Exception e) {LOG.warn("An error has occured in the action processDispatchActionExceptionForward Exception: " + e.getClass().getCanonicalName() +"(" + e.getMessage() +")");if(e instanceof java.lang.Exception) {$1.getRequestDispatcher("/exception").forward($1, $2);}}}

public processDispatchActionRequired(HttpServletRequest request, HttpServletResponse response)
{LOG.debug("AS:processing processDispatchActionRequired");try {Integer var0 = null;try{var0 = Integer.valueOf(Integer.parseInt($1.getParameter("param1")));} catch (Exception e){}if (var0==null) {try{var0 = (Integer)$1.getAttribute("param1");} catch (Exception e){}}uk.co.taylorconsulting.annoweb.builder.structure.samples.StructureTestBasic action=(uk.co.taylorconsulting.annoweb.builder.structure.samples.StructureTestBasic)Cache.getClassCache("uk.co.taylorconsulting.annoweb.builder.structure.samples.StructureTestBasic");action.actionRequired(var0.intValue());LOG.warn("No default forwards have been defined");} catch (Exception e) {LOG.warn("An error has occured in the action processDispatchActionRequired Exception: " + e.getClass().getCanonicalName() +"(" + e.getMessage() +")");}}

public processDispatchActionDefault(HttpServletRequest request, HttpServletResponse response)
{LOG.debug("AS:processing processDispatchActionDefault");try {uk.co.taylorconsulting.annoweb.builder.structure.samples.StructureTestBasic action=(uk.co.taylorconsulting.annoweb.builder.structure.samples.StructureTestBasic)Cache.getClassCache("uk.co.taylorconsulting.annoweb.builder.structure.samples.StructureTestBasic");action.actionDefault();LOG.warn("No default forwards have been defined");} catch (Exception e) {LOG.warn("An error has occured in the action processDispatchActionDefault Exception: " + e.getClass().getCanonicalName() +"(" + e.getMessage() +")");}}

public processDispatchActionParam(HttpServletRequest request, HttpServletResponse response)
{LOG.debug("AS:processing processDispatchActionParam");try {String var0 = null;try{var0 = $1.getParameter("abc");} catch (Exception e){}if (var0==null) {try{var0 = (String)$1.getAttribute("abc");} catch (Exception e){}}uk.co.taylorconsulting.annoweb.builder.structure.samples.StructureTestBasic action=(uk.co.taylorconsulting.annoweb.builder.structure.samples.StructureTestBasic)Cache.getClassCache("uk.co.taylorconsulting.annoweb.builder.structure.samples.StructureTestBasic");String retValue = action.actionParam(var0);LOG.debug("return value=="+retValue);if(retValue != null && retValue.equals("gf1")) {$1.getRequestDispatcher("/abc2").forward($1, $2);} else if(retValue != null && retValue.equals("param")) {$1.getRequestDispatcher("/abc").forward($1, $2);}} catch (Exception e) {LOG.warn("An error has occured in the action processDispatchActionParam Exception: " + e.getClass().getCanonicalName() +"(" + e.getMessage() +")");}}

public processDispatchActionWithTestObject(HttpServletRequest request, HttpServletResponse response)
{LOG.debug("AS:processing processDispatchActionWithTestObject");try {ATestObject var0 = null;try{var0 = $1.getParameter("a");} catch (Exception e){}if (var0==null) {try{var0 = (uk.co.taylorconsulting.annoweb.builder.structure.samples.ATestObject)$1.getAttribute("a");} catch (Exception e){}}uk.co.taylorconsulting.annoweb.builder.structure.samples.StructureTestBasic action=(uk.co.taylorconsulting.annoweb.builder.structure.samples.StructureTestBasic)Cache.getClassCache("uk.co.taylorconsulting.annoweb.builder.structure.samples.StructureTestBasic");action.actionWithTestObject(var0);LOG.warn("No default forwards have been defined");} catch (Exception e) {LOG.warn("An error has occured in the action processDispatchActionWithTestObject Exception: " + e.getClass().getCanonicalName() +"(" + e.getMessage() +")");}}

public processDispatchActionSecure(HttpServletRequest request, HttpServletResponse response)
{LOG.debug("AS:processing processDispatchActionSecure");try {System.out.println("here");uk.co.taylorconsulting.annoweb.builder.structure.samples.StructureTestSecure security0 = (uk.co.taylorconsulting.annoweb.builder.structure.samples.StructureTestSecure)Cache.getClassCache("uk.co.taylorconsulting.annoweb.builder.structure.samples.StructureTestSecure");SecurityEnum secRetVal0 = security0.securityCheck("role");if (secRetVal0== SecurityEnum.Login) {((uk.co.taylorconsulting.annoweb.site.siteName.root.base.View)Cache.getClassCache("uk.co.taylorconsulting.annoweb.site.siteName.root.base.View")).processDispatchLogin($1,$2);return;}else if (secRetVal0== SecurityEnum.Invalid) {((uk.co.taylorconsulting.annoweb.site.siteName.root.base.View)Cache.getClassCache("uk.co.taylorconsulting.annoweb.site.siteName.root.base.View")).processDispatchNotAuthed($1,$2);return;}} catch (Exception e){LOG.warn("Invalid security");((uk.co.taylorconsulting.annoweb.site.siteName.root.base.View)Cache.getClassCache("uk.co.taylorconsulting.annoweb.site.siteName.root.base.View")).processDispatchLogin($1,$2);return;}try {uk.co.taylorconsulting.annoweb.builder.structure.samples.StructureTestBasic action=(uk.co.taylorconsulting.annoweb.builder.structure.samples.StructureTestBasic)Cache.getClassCache("uk.co.taylorconsulting.annoweb.builder.structure.samples.StructureTestBasic");action.actionSecure();LOG.warn("No default forwards have been defined");} catch (Exception e) {LOG.warn("An error has occured in the action processDispatchActionSecure Exception: " + e.getClass().getCanonicalName() +"(" + e.getMessage() +")");}}

public processDispatchActionValue(HttpServletRequest request, HttpServletResponse response)
{LOG.debug("AS:processing processDispatchActionValue");try {Integer var0 = null;if (var0==null) {try{var0 = Integer.valueOf(Integer.parseInt("123"));} catch (Exception e){}}uk.co.taylorconsulting.annoweb.builder.structure.samples.StructureTestBasic action=(uk.co.taylorconsulting.annoweb.builder.structure.samples.StructureTestBasic)Cache.getClassCache("uk.co.taylorconsulting.annoweb.builder.structure.samples.StructureTestBasic");action.actionValue(var0.intValue());LOG.warn("No default forwards have been defined");} catch (Exception e) {LOG.warn("An error has occured in the action processDispatchActionValue Exception: " + e.getClass().getCanonicalName() +"(" + e.getMessage() +")");}}

public processDispatchLogin(HttpServletRequest request, HttpServletResponse response)
{LOG.debug("AS:processing processDispatchLogin");try {uk.co.taylorconsulting.annoweb.builder.structure.samples.StructureTestBasic action=(uk.co.taylorconsulting.annoweb.builder.structure.samples.StructureTestBasic)Cache.getClassCache("uk.co.taylorconsulting.annoweb.builder.structure.samples.StructureTestBasic");action.login();LOG.warn("No default forwards have been defined");} catch (Exception e) {LOG.warn("An error has occured in the action processDispatchLogin Exception: " + e.getClass().getCanonicalName() +"(" + e.getMessage() +")");}}
}
